sc::SCMatrixBlockList(3)

NAME
sc::SCMatrixBlockList -

SYNOPSIS

Inherits sc::SavableState.

  Public Member Functions
SCMatrixBlockList (StateIn &)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void insert (SCMatrixBlock *)
void append (SCMatrixBlock *)
SCMatrixBlockListIter begin ()
SCMatrixBlockListIter end ()
SCMatrixBlockList * deepcopy ()

Member Function Documentation

  void sc::SCMatrixBlockList::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data.

Reimplemented from sc::SavableState.

Author

Generated automatically by Doxygen for MPQC from the source code.